Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061939 - [abrt] evolution: soup_uri_free(): evolution killed by SIGSEGV
Summary: [abrt] evolution: soup_uri_free(): evolution killed by SIGSEGV
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d54cdb9cf2f848b9a89677dd3cf...
: 1149903 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-05 22:18 UTC by Jared Smith
Modified: 2014-10-09 17:41 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-07 08:40:24 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-05 22:18 UTC, Jared Smith
no flags Details
File: cgroup (deleted)
2014-02-05 22:18 UTC, Jared Smith
no flags Details
File: core_backtrace (deleted)
2014-02-05 22:18 UTC, Jared Smith
no flags Details
File: dso_list (deleted)
2014-02-05 22:18 UTC, Jared Smith
no flags Details
File: environ (deleted)
2014-02-05 22:18 UTC, Jared Smith
no flags Details
File: exploitable (deleted)
2014-02-05 22:18 UTC, Jared Smith
no flags Details
File: limits (deleted)
2014-02-05 22:18 UTC, Jared Smith
no flags Details
File: maps (deleted)
2014-02-05 22:18 UTC, Jared Smith
no flags Details
File: open_fds (deleted)
2014-02-05 22:18 UTC, Jared Smith
no flags Details
File: proc_pid_status (deleted)
2014-02-05 22:18 UTC, Jared Smith
no flags Details
File: var_log_messages (deleted)
2014-02-05 22:18 UTC, Jared Smith
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 722841 None None None Never

Description Jared Smith 2014-02-05 22:18:37 UTC
Description of problem:
Was using the arrow keys to move through emails when Evolution crashed.  Not really sure what I did to cause the crash.

Version-Release number of selected component:
evolution-3.10.3-1.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        evolution
crash_function: soup_uri_free
executable:     /usr/bin/evolution
kernel:         3.12.8-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1975

Truncated backtrace:
Thread no. 1 (10 frames)
 #3 soup_uri_free at soup-uri.c:671
 #4 ep_change_uri at e-proxy.c:603
 #5 ep_set_proxy at e-proxy.c:696
 #6 g_cclosure_marshal_VOID__STRINGv at gmarshal.c:1004
 #7 _g_closure_invoke_va at gclosure.c:840
 #10 g_settings_real_change_event at gsettings.c:288
 #11 ffi_call_unix64 at ../src/x86/unix64.S:76
 #12 ffi_call at ../src/x86/ffi64.c:522
 #13 g_cclosure_marshal_generic_va at gclosure.c:1550
 #14 _g_closure_invoke_va at gclosure.c:840

Comment 1 Jared Smith 2014-02-05 22:18:40 UTC
Created attachment 859891 [details]
File: backtrace

Comment 2 Jared Smith 2014-02-05 22:18:42 UTC
Created attachment 859892 [details]
File: cgroup

Comment 3 Jared Smith 2014-02-05 22:18:43 UTC
Created attachment 859893 [details]
File: core_backtrace

Comment 4 Jared Smith 2014-02-05 22:18:44 UTC
Created attachment 859894 [details]
File: dso_list

Comment 5 Jared Smith 2014-02-05 22:18:47 UTC
Created attachment 859895 [details]
File: environ

Comment 6 Jared Smith 2014-02-05 22:18:48 UTC
Created attachment 859896 [details]
File: exploitable

Comment 7 Jared Smith 2014-02-05 22:18:50 UTC
Created attachment 859897 [details]
File: limits

Comment 8 Jared Smith 2014-02-05 22:18:52 UTC
Created attachment 859898 [details]
File: maps

Comment 9 Jared Smith 2014-02-05 22:18:53 UTC
Created attachment 859899 [details]
File: open_fds

Comment 10 Jared Smith 2014-02-05 22:18:55 UTC
Created attachment 859900 [details]
File: proc_pid_status

Comment 11 Jared Smith 2014-02-05 22:18:56 UTC
Created attachment 859901 [details]
File: var_log_messages

Comment 12 Milan Crha 2014-02-07 08:40:24 UTC
Thanks for a bug report. There is filled a similar upstream bug [1], thus I'm moving this there. Please see [1] for any further updates. If possible, please CC yourself there, in case upstream developers will have additional questions.

Please see its https://bugzilla.gnome.org/show_bug.cgi?id=722841#c2 for an opened question.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=722841

Comment 13 Milan Crha 2014-10-09 11:04:50 UTC
*** Bug 1149903 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.